## org.codehaus.groovy.control
Enum CompilePhase

    java.lang.Object
      java.lang.Enum<CompilePhase>
          org.codehaus.groovy.control.CompilePhase

All Implemented Interfaces:
  Serializable, Comparable<CompilePhase>

    public enum CompilePhase

extends Enum<CompilePhase>

Enum Constant Summary
`CANONICALIZATION`
`CLASS_GENERATION`
`CONVERSION`
`FINALIZATION`
`INITIALIZATION`
`INSTRUCTION_SELECTION`
`OUTPUT`
`PARSING`
`SEMANTIC_ANALYSIS`

Field Summary
`static CompilePhase[]` `phases`

Method Summary
`int` `getPhaseNumber()`
`static CompilePhase` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CompilePhase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INITIALIZATION

    public static final CompilePhase INITIALIZATION

### PARSING

    public static final CompilePhase PARSING

### CONVERSION

    public static final CompilePhase CONVERSION

### SEMANTIC_ANALYSIS

    public static final CompilePhase SEMANTIC_ANALYSIS

### CANONICALIZATION

    public static final CompilePhase CANONICALIZATION

### INSTRUCTION_SELECTION

    public static final CompilePhase INSTRUCTION_SELECTION

### CLASS_GENERATION

    public static final CompilePhase CLASS_GENERATION

### OUTPUT

    public static final CompilePhase OUTPUT

### FINALIZATION

    public static final CompilePhase FINALIZATION

Field Detail

### phases

    public static CompilePhase[] phases

Method Detail

### values

    public static CompilePhase[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CompilePhase c : CompilePhase.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CompilePhase valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPhaseNumber

    public int getPhaseNumber()

Copyright © 2003-2009 The Codehaus. All rights reserved.